home *** CD-ROM | disk | FTP | other *** search
Text File | 1994-09-07 | 58.0 KB | 2,052 lines |
- diff -rc --new-file grep-2.0/INSTALL /gnu/src/amiga/grep-2.0/INSTALL
- *** grep-2.0/INSTALL Mon Sep 28 02:56:25 1992
- --- /gnu/src/amiga/grep-2.0/INSTALL Wed Feb 23 17:26:59 1994
- ***************
- *** 32,39 ****
- source code in `..' if it does not find it in the current directory.
-
- By default, `make install' will install the package's files in
- ! /usr/local/bin, /usr/local/lib, /usr/local/man, etc. You can specify
- ! an installation prefix other than /usr/local by giving `configure' the
- option `--prefix=PATH'. Alternately, you can do so by changing the
- `prefix' variable in the Makefile that `configure' creates (the
- Makefile in the top-level directory, if the package contains
- --- 32,39 ----
- source code in `..' if it does not find it in the current directory.
-
- By default, `make install' will install the package's files in
- ! /gnu/bin, /gnu/lib, /gnu/man, etc. You can specify
- ! an installation prefix other than /gnu by giving `configure' the
- option `--prefix=PATH'. Alternately, you can do so by changing the
- `prefix' variable in the Makefile that `configure' creates (the
- Makefile in the top-level directory, if the package contains
- diff -rc --new-file grep-2.0/Makefile.in /gnu/src/amiga/grep-2.0/Makefile.in
- *** grep-2.0/Makefile.in Sun May 2 20:54:24 1993
- --- /gnu/src/amiga/grep-2.0/Makefile.in Wed Feb 23 17:21:33 1994
- ***************
- *** 43,52 ****
- LIBS=@LIBS@
- ALLOCA=@ALLOCA@
-
- ! CFLAGS=-O
- ! LDFLAGS=$(CFLAGS)
-
- ! prefix=/usr/local
- exec_prefix=$(prefix)
-
- # Prefix for installed program, normally empty or `g'.
- --- 43,52 ----
- LIBS=@LIBS@
- ALLOCA=@ALLOCA@
-
- ! CFLAGS=-O2
- ! LDFLAGS=
-
- ! prefix=/gnu
- exec_prefix=$(prefix)
-
- # Prefix for installed program, normally empty or `g'.
- diff -rc --new-file grep-2.0/Product-Info /gnu/src/amiga/grep-2.0/Product-Info
- *** grep-2.0/Product-Info Thu Jan 1 00:00:00 1970
- --- /gnu/src/amiga/grep-2.0/Product-Info Tue Jul 12 17:21:58 1994
- ***************
- *** 0 ****
- --- 1,37 ----
- + # This file contains product information that can be used by
- + # KingFisher 2.0 and other similar tools.
- +
- + .name
- + grep
- + .fullname
- + GNU grep package
- + .type
- + Programmer Tool
- + .short
- + GNU grep package
- + .description
- + GNU grep is based on a fast lazy-state deterministic matcher (about
- + twice as fast as stock Unix egrep) hybridized with a Boyer-Moore-
- + Gosper search for a fixed string that eliminates impossible text from
- + being considered by the full regexp matcher without necessarily having
- + to look at every character. The result is typically many times faster
- + than Unix grep or egrep. (Regular expressions containing
- + backreferencing will run more slowly, however.)
- + .version
- + 2.0
- + .author
- + Mike Haertel
- + Arthur David Olson
- + Richard Stallman
- + Karl Berry
- + Henry Spencer
- + Scott Anderson
- + David MacKenzie
- + James Woods
- + Andrew Hume
- + .requirements
- + Amiga binaries require ixemul.library.
- + .distribution
- + GNU Public License
- + .described-by
- + Fred Fish (fnf@amigalib.com)
- diff -rc --new-file grep-2.0/configure /gnu/src/amiga/grep-2.0/configure
- *** grep-2.0/configure Sat May 22 04:20:23 1993
- --- /gnu/src/amiga/grep-2.0/configure Mon Apr 25 16:58:51 1994
- ***************
- *** 1,162 ****
- #!/bin/sh
- # Guess values for system-dependent variables and create Makefiles.
- ! # Generated automatically using autoconf.
- ! # Copyright (C) 1991, 1992, 1993 Free Software Foundation, Inc.
-
- ! # This program is free software; you can redistribute it and/or modify
- ! # it under the terms of the GNU General Public License as published by
- ! # the Free Software Foundation; either version 2, or (at your option)
- # any later version.
-
- ! # This program is distributed in the hope that it will be useful,
- ! # but WITHOUT ANY WARRANTY; without even the implied warranty of
- ! # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
- ! # GNU General Public License for more details.
-
- # You should have received a copy of the GNU General Public License
- # along with this program; if not, write to the Free Software
- # Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-
- ! # Usage: configure [--srcdir=DIR] [--host=HOST] [--gas] [--nfp] [--no-create]
- ! # [--prefix=PREFIX] [--exec-prefix=PREFIX] [--with-PACKAGE] [TARGET]
- ! # Ignores all args except --srcdir, --prefix, --exec-prefix, --no-create, and
- ! # --with-PACKAGE unless this script has special code to handle it.
-
-
- ! for arg
- do
- - # Handle --exec-prefix with a space before the argument.
- - if test x$next_exec_prefix = xyes; then exec_prefix=$arg; next_exec_prefix=
- - # Handle --host with a space before the argument.
- - elif test x$next_host = xyes; then next_host=
- - # Handle --prefix with a space before the argument.
- - elif test x$next_prefix = xyes; then prefix=$arg; next_prefix=
- - # Handle --srcdir with a space before the argument.
- - elif test x$next_srcdir = xyes; then srcdir=$arg; next_srcdir=
- - else
- - case $arg in
- - # For backward compatibility, also recognize exact --exec_prefix.
- - -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* | --exec=* | --exe=* | --ex=* | --e=*)
- - exec_prefix=`echo $arg | sed 's/[-a-z_]*=//'` ;;
- - -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- | --exec | --exe | --ex | --e)
- - next_exec_prefix=yes ;;
- -
- - -gas | --gas | --ga | --g) ;;
- -
- - -host=* | --host=* | --hos=* | --ho=* | --h=*) ;;
- - -host | --host | --hos | --ho | --h)
- - next_host=yes ;;
- -
- - -nfp | --nfp | --nf) ;;
- -
- - -no-create | --no-create | --no-creat | --no-crea | --no-cre | --no-cr | --no-c | --no- | --no)
- - no_create=1 ;;
- -
- - -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
- - prefix=`echo $arg | sed 's/[-a-z_]*=//'` ;;
- - -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
- - next_prefix=yes ;;
- -
- - -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=* | --s=*)
- - srcdir=`echo $arg | sed 's/[-a-z_]*=//'` ;;
- - -srcdir | --srcdir | --srcdi | --srcd | --src | --sr | --s)
- - next_srcdir=yes ;;
- -
- - -with-* | --with-*)
- - package=`echo $arg|sed 's/-*with-//'`
- - # Delete all the valid chars; see if any are left.
- - if test -n "`echo $package|sed 's/[-a-zA-Z0-9_]*//g'`"; then
- - echo "configure: $package: invalid package name" >&2; exit 1
- - fi
- - eval "with_`echo $package|sed s/-/_/g`=1" ;;
-
- ! -v | -verbose | --verbose | --verbos | --verbo | --verb | --ver | --ve | --v)
- ! verbose=yes ;;
-
- ! *) ;;
- esac
- ! fi
- ! done
-
- ! trap 'rm -f conftest* core; exit 1' 1 3 15
-
- ! # Needed for some versions of `tr' so that character classes in `[]' work.
- ! if test "${LANG+set}" = "set" ; then
- ! LANG=C
- fi
-
- ! rm -f conftest*
- ! compile='${CC-cc} $CFLAGS $DEFS conftest.c -o conftest $LIBS >/dev/null 2>&1'
-
- # A filename unique to this package, relative to the directory that
- # configure is in, which we can look for to find out if srcdir is correct.
- ! unique_file=grep.c
-
- # Find the source files, if location was not specified.
- if test -z "$srcdir"; then
- ! srcdirdefaulted=yes
- # Try the directory containing this script, then `..'.
- ! prog=$0
- ! confdir=`echo $prog|sed 's%/[^/][^/]*$%%'`
- ! test "X$confdir" = "X$prog" && confdir=.
- ! srcdir=$confdir
- ! if test ! -r $srcdir/$unique_file; then
- srcdir=..
- fi
- fi
- ! if test ! -r $srcdir/$unique_file; then
- ! if test x$srcdirdefaulted = xyes; then
- ! echo "configure: Can not find sources in \`${confdir}' or \`..'." 1>&2
- else
- ! echo "configure: Can not find sources in \`${srcdir}'." 1>&2
- fi
- - exit 1
- fi
- ! # Preserve a srcdir of `.' to avoid automounter screwups with pwd.
- ! # But we can't avoid them for `..', to make subdirectories work.
- ! case $srcdir in
- ! .|/*|~*) ;;
- ! *) srcdir=`cd $srcdir; pwd` ;; # Make relative path absolute.
- ! esac
-
- ! for p in mawk gawk nawk awk
- do
- if test -z "$AWK"; then
- ! # Extract the first word of `$p', so it can be a program name with args.
- ! set dummy $p; word=$2
- ! echo checking for $word
- ! IFS="${IFS= }"; saveifs="$IFS"; IFS="${IFS}:"
- ! for dir in $PATH; do
- ! test -z "$dir" && dir=.
- ! if test -f $dir/$word; then
- ! AWK="$p"
- break
- fi
- done
- ! IFS="$saveifs"
- fi
-
- ! test -n "$AWK" -a -n "$verbose" && echo " setting AWK to $AWK"
-
- test -n "$AWK" && break
- done
-
- if test -z "$CC"; then
- # Extract the first word of `gcc', so it can be a program name with args.
- ! set dummy gcc; word=$2
- ! echo checking for $word
- ! IFS="${IFS= }"; saveifs="$IFS"; IFS="${IFS}:"
- ! for dir in $PATH; do
- ! test -z "$dir" && dir=.
- ! if test -f $dir/$word; then
- CC="gcc"
- break
- fi
- done
- ! IFS="$saveifs"
- fi
- test -z "$CC" && CC="cc"
- ! test -n "$CC" -a -n "$verbose" && echo " setting CC to $CC"
-
- # Find out if we are using GNU C, under whatever name.
- cat > conftest.c <<EOF
- --- 1,357 ----
- #!/bin/sh
- # Guess values for system-dependent variables and create Makefiles.
- ! # Generated automatically using autoconf version 1.9
- ! # Copyright (C) 1991, 1992, 1993, 1994 Free Software Foundation, Inc.
-
- ! # This configure script is free software; you can redistribute it and/or
- ! # modify it under the terms of the GNU General Public License as published
- ! # by the Free Software Foundation; either version 2, or (at your option)
- # any later version.
-
- ! # This script is distributed in the hope that it will be useful, but
- ! # WITHOUT ANY WARRANTY; without even the implied warranty of
- ! # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
- ! # Public License for more details.
-
- # You should have received a copy of the GNU General Public License
- # along with this program; if not, write to the Free Software
- # Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-
- ! # Save the original args to write them into config.status later.
- ! configure_args="$*"
-
- + # Only options that might do something get documented.
- + ac_usage="Usage: configure [options] [host]
- + Options: [defaults in brackets after descriptions]
- + --build=BUILD configure for building on BUILD [BUILD=HOST]
- + --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
- + --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
- + --exec-prefix=PREFIX install host dependent files in PREFIX [/usr/local]
- + --help print this message
- + --host=HOST configure for HOST [guessed]
- + --prefix=PREFIX install host independent files in PREFIX [/usr/local]
- + --quiet, --silent do not print \`checking for...' messages
- + --srcdir=DIR find the sources in DIR [configure dir or ..]
- + --target=TARGET configure for TARGET [TARGET=HOST]
- + --verbose print results of checks
- + --version print the version of autoconf that created configure
- + --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
- + --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
- + --x-includes=DIR X include files are in DIR
- + --x-libraries=DIR X library files are in DIR"
- +
- + # Initialize some variables set by options.
- + # The variables have the same names as the options, with
- + # dashes changed to underlines.
- + build=NONE
- + exec_prefix=
- + host=NONE
- + no_create=
- + nonopt=NONE
- + norecursion=
- + prefix=
- + program_prefix=
- + program_suffix=
- + program_transform_name=
- + silent=
- + srcdir=
- + target=NONE
- + verbose=
- + x_includes=
- + x_libraries=
-
- ! ac_prev=
- ! for ac_option
- do
-
- ! # If the previous option needs an argument, assign it.
- ! if test -n "$ac_prev"; then
- ! eval "$ac_prev=\$ac_option"
- ! ac_prev=
- ! continue
- ! fi
- !
- ! # Accept (but ignore some of) the important Cygnus configure
- ! # options, so we can diagnose typos.
- !
- ! case "$ac_option" in
- ! -*=*) ac_optarg=`/bin/echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
- ! *) ac_optarg= ;;
- ! esac
- !
- ! case "$ac_option" in
- !
- ! -build | --build | --buil | --bui | --bu | --b)
- ! ac_prev=build ;;
- ! -build=* | --build=* | --buil=* | --bui=* | --bu=* | --b=*)
- ! build="$ac_optarg" ;;
- !
- ! -disable-* | --disable-*)
- ! ac_feature=`/bin/echo $ac_option|sed -e 's/-*disable-//'`
- ! # Reject names that aren't valid shell variable names.
- ! if test -n "`/bin/echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
- ! /bin/echo "configure: $ac_feature: invalid feature name" >&2; exit 1
- ! fi
- ! ac_feature=`/bin/echo $ac_feature| sed 's/-/_/g'`
- ! eval "enable_${ac_feature}=no" ;;
- !
- ! -enable-* | --enable-*)
- ! ac_feature=`/bin/echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
- ! # Reject names that aren't valid shell variable names.
- ! if test -n "`/bin/echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
- ! /bin/echo "configure: $ac_feature: invalid feature name" >&2; exit 1
- ! fi
- ! ac_feature=`/bin/echo $ac_feature| sed 's/-/_/g'`
- ! case "$ac_option" in
- ! *=*) ;;
- ! *) ac_optarg=yes ;;
- ! esac
- ! eval "enable_${ac_feature}='$ac_optarg'" ;;
-
- ! # For backward compatibility, recognize -exec-prefix and --exec_prefix.
- ! -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
- ! | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
- ! | --exec | --exe | --ex)
- ! ac_prev=exec_prefix ;;
- ! -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
- ! | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
- ! | --exec=* | --exe=* | --ex=*)
- ! exec_prefix="$ac_optarg" ;;
- !
- ! -gas | --gas | --ga | --g)
- ! with_gas=yes ;; # Obsolete; use --with-gas.
- !
- ! -help | --help | --hel | --he)
- ! cat << EOF
- ! $ac_usage
- ! EOF
- ! exit 0 ;;
- !
- ! -host | --host | --hos | --ho)
- ! ac_prev=host ;;
- ! -host=* | --host=* | --hos=* | --ho=*)
- ! host="$ac_optarg" ;;
- !
- ! -nfp | --nfp | --nf)
- ! with_fp=no ;; # Obsolete; use --without-fp.
- !
- ! -no-create | --no-create | --no-creat | --no-crea | --no-cre \
- ! | --no-cr | --no-c)
- ! no_create=yes ;;
- !
- ! -norecursion | --norecursion | --norecursio | --norecursi \
- ! | --norecurs | --norecur | --norecu | --norec | --nore | --nor)
- ! norecursion=yes ;;
- !
- ! -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
- ! ac_prev=prefix ;;
- ! -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
- ! prefix="$ac_optarg" ;;
- !
- ! -program-prefix | --program-prefix | --program-prefi | --program-pref \
- ! | --program-pre | --program-pr | --program-p)
- ! ac_prev=program_prefix ;;
- ! -program-prefix=* | --program-prefix=* | --program-prefi=* \
- ! | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
- ! program_prefix="$ac_optarg" ;;
- !
- ! -program-suffix | --program-suffix | --program-suffi | --program-suff \
- ! | --program-suf | --program-su | --program-s)
- ! ac_prev=program_suffix ;;
- ! -program-suffix=* | --program-suffix=* | --program-suffi=* \
- ! | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
- ! program_suffix="$ac_optarg" ;;
- !
- ! -program-transform-name | --program-transform-name \
- ! | --program-transform-nam | --program-transform-na \
- ! | --program-transform-n | --program-transform- \
- ! | --program-transform | --program-transfor \
- ! | --program-transfo | --program-transf \
- ! | --program-trans | --program-tran \
- ! | --progr-tra | --program-tr | --program-t)
- ! ac_prev=program_transform_name ;;
- ! -program-transform-name=* | --program-transform-name=* \
- ! | --program-transform-nam=* | --program-transform-na=* \
- ! | --program-transform-n=* | --program-transform-=* \
- ! | --program-transform=* | --program-transfor=* \
- ! | --program-transfo=* | --program-transf=* \
- ! | --program-trans=* | --program-tran=* \
- ! | --progr-tra=* | --program-tr=* | --program-t=*)
- ! program_transform_name="$ac_optarg" ;;
- !
- ! -q | -quiet | --quiet | --quie | --qui | --qu | --q \
- ! | -silent | --silent | --silen | --sile | --sil)
- ! silent=yes ;;
- !
- ! -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
- ! ac_prev=srcdir ;;
- ! -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
- ! srcdir="$ac_optarg" ;;
- !
- ! -target | --target | --targe | --targ | --tar | --ta | --t)
- ! ac_prev=target ;;
- ! -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
- ! target="$ac_optarg" ;;
- !
- ! -v | -verbose | --verbose | --verbos | --verbo | --verb)
- ! verbose=yes ;;
- !
- ! -version | --version | --versio | --versi | --vers)
- ! /bin/echo "configure generated by autoconf version 1.9"
- ! exit 0 ;;
- !
- ! -with-* | --with-*)
- ! ac_package=`/bin/echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
- ! # Reject names that aren't valid shell variable names.
- ! if test -n "`/bin/echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
- ! /bin/echo "configure: $ac_package: invalid package name" >&2; exit 1
- ! fi
- ! ac_package=`/bin/echo $ac_package| sed 's/-/_/g'`
- ! case "$ac_option" in
- ! *=*) ;;
- ! *) ac_optarg=yes ;;
- esac
- ! eval "with_${ac_package}='$ac_optarg'" ;;
-
- ! -without-* | --without-*)
- ! ac_package=`/bin/echo $ac_option|sed -e 's/-*without-//'`
- ! # Reject names that aren't valid shell variable names.
- ! if test -n "`/bin/echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
- ! /bin/echo "configure: $ac_package: invalid package name" >&2; exit 1
- ! fi
- ! ac_package=`/bin/echo $ac_package| sed 's/-/_/g'`
- ! eval "with_${ac_package}=no" ;;
- !
- ! --x) with_x=yes ;; # Obsolete; use --with-x.
-
- ! -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
- ! | --x-incl | --x-inc | --x-in | --x-i)
- ! ac_prev=x_includes ;;
- ! -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
- ! | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
- ! x_includes="$ac_optarg" ;;
- !
- ! -x-libraries | --x-libraries | --x-librarie | --x-librari \
- ! | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
- ! ac_prev=x_libraries ;;
- ! -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
- ! | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
- ! x_libraries="$ac_optarg" ;;
- !
- ! -*) /bin/echo "configure: $ac_option: invalid option; use --help to show usage" >&2; exit 1
- ! ;;
- !
- ! *)
- ! if test -n "`/bin/echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
- ! /bin/echo "configure: warning: $ac_option: invalid host type" >&2
- ! fi
- ! if test "x$nonopt" != xNONE; then
- ! /bin/echo "configure: can only configure for one host and one target at a time" >&2; exit 1
- ! fi
- ! nonopt="$ac_option"
- ! ;;
- !
- ! esac
- ! done
- !
- ! if test -n "$ac_prev"; then
- ! /bin/echo "configure: missing argument to --`/bin/echo $ac_prev | sed 's/_/-/g'`" >&2; exit 1
- fi
-
- ! trap 'rm -fr conftest* confdefs* core $ac_clean_files; exit 1' 1 2 15
- ! trap 'rm -fr confdefs* $ac_clean_files' 0
- !
- ! # Save the original args if we used an alternate arg parser.
- ! ac_configure_temp="${configure_args-$*}"
- ! # Strip out --no-create and --norecursion so they don't pile up.
- ! configure_args=
- ! for ac_arg in $ac_configure_temp; do
- ! case "$ac_arg" in
- ! -no-create | --no-create | --no-creat | --no-crea | --no-cre \
- ! | --no-cr | --no-c) ;;
- ! -norecursion | --norecursion | --norecursio | --norecursi \
- ! | --norecurs | --norecur | --norecu | --norec | --nore | --nor) ;;
- ! *) configure_args="$configure_args $ac_arg" ;;
- ! esac
- ! done
- !
- ! # NLS nuisances.
- ! # These must not be set unconditionally because not all systems understand
- ! # e.g. LANG=C (notably SCO).
- ! if test "${LC_ALL+set}" = 'set'; then LC_ALL=C; export LC_ALL; fi
- ! if test "${LANG+set}" = 'set'; then LANG=C; export LANG; fi
- !
- ! # confdefs.h avoids OS command line length limits that DEFS can exceed.
- ! rm -rf conftest* confdefs.h
- ! # AIX cpp loses on an empty file, so make sure it contains at least a newline.
- ! /bin/echo > confdefs.h
-
- # A filename unique to this package, relative to the directory that
- # configure is in, which we can look for to find out if srcdir is correct.
- ! ac_unique_file=grep.c
-
- # Find the source files, if location was not specified.
- if test -z "$srcdir"; then
- ! ac_srcdir_defaulted=yes
- # Try the directory containing this script, then `..'.
- ! ac_prog=$0
- ! ac_confdir=`/bin/echo $ac_prog|sed 's%/[^/][^/]*$%%'`
- ! test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
- ! srcdir=$ac_confdir
- ! if test ! -r $srcdir/$ac_unique_file; then
- srcdir=..
- fi
- fi
- ! if test ! -r $srcdir/$ac_unique_file; then
- ! if test x$ac_srcdir_defaulted = xyes; then
- ! /bin/echo "configure: can not find sources in ${ac_confdir} or .." >&2; exit 1
- else
- ! /bin/echo "configure: can not find sources in ${srcdir}" >&2; exit 1
- fi
- fi
- ! ac_ext=c
- ! ac_cpp='${CPP} $CFLAGS'
- ! ac_compile='${CC-cc} $CFLAGS $LDFLAGS conftest.${ac_ext} -o conftest $LIBS >/dev/null 2>&1'
-
- !
- ! for ac_prog in mawk gawk nawk awk
- do
- if test -z "$AWK"; then
- ! # Extract the first word of `$ac_prog', so it can be a program name with args.
- ! set ac_dummy $ac_prog; ac_word=$2
- ! test -n "$silent" || /bin/echo "checking for $ac_word"
- ! IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
- ! for ac_dir in $PATH; do
- ! test -z "$ac_dir" && ac_dir=.
- ! if test -f $ac_dir/$ac_word; then
- ! AWK="$ac_prog"
- break
- fi
- done
- ! IFS="$ac_save_ifs"
- fi
-
- ! test -n "$AWK" && test -n "$verbose" && /bin/echo " setting AWK to $AWK"
-
- test -n "$AWK" && break
- done
-
- if test -z "$CC"; then
- # Extract the first word of `gcc', so it can be a program name with args.
- ! set ac_dummy gcc; ac_word=$2
- ! test -n "$silent" || /bin/echo "checking for $ac_word"
- ! IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
- ! for ac_dir in $PATH; do
- ! test -z "$ac_dir" && ac_dir=.
- ! if test -f $ac_dir/$ac_word; then
- CC="gcc"
- break
- fi
- done
- ! IFS="$ac_save_ifs"
- fi
- test -z "$CC" && CC="cc"
- ! test -n "$CC" && test -n "$verbose" && /bin/echo " setting CC to $CC"
-
- # Find out if we are using GNU C, under whatever name.
- cat > conftest.c <<EOF
- ***************
- *** 170,183 ****
- fi
- rm -f conftest*
-
- ! echo checking for POSIXized ISC
- ! if test -d /etc/conf/kconfig.d &&
- ! grep _POSIX_VERSION /usr/include/sys/unistd.h >/dev/null 2>&1
- then
- ISC=1 # If later tests want to check for ISC.
- ! {
- test -n "$verbose" && \
- ! echo ' defining' _POSIX_SOURCE
- DEFS="$DEFS -D_POSIX_SOURCE=1"
- }
-
- --- 365,380 ----
- fi
- rm -f conftest*
-
- ! test -n "$silent" || /bin/echo "checking for POSIXized ISC"
- ! if test -d /gnu/etc/conf/kconfig.d &&
- ! grep _POSIX_VERSION /gnu/include/sys/unistd.h >/dev/null 2>&1
- then
- ISC=1 # If later tests want to check for ISC.
- !
- ! {
- test -n "$verbose" && \
- ! /bin/echo " defining _POSIX_SOURCE"
- ! /bin/echo "#define" _POSIX_SOURCE "1" >> confdefs.h
- DEFS="$DEFS -D_POSIX_SOURCE=1"
- }
-
- ***************
- *** 188,263 ****
- fi
- fi
-
- ! echo checking how to run the C preprocessor
- if test -z "$CPP"; then
- ! CPP='${CC-cc} -E'
- ! cat > conftest.c <<EOF
- #include <stdio.h>
- EOF
- ! err=`eval "($CPP \$DEFS conftest.c >/dev/null) 2>&1"`
- ! if test -z "$err"; then
- :
- else
- CPP=/lib/cpp
- fi
- rm -f conftest*
- fi
-
- # Make sure to not get the incompatible SysV /etc/install and
- # /usr/sbin/install, which might be in PATH before a BSD-like install,
- # or the SunOS /usr/etc/install directory, or the AIX /bin/install,
- # or the AFS install, which mishandles nonexistent args, or
- # /usr/ucb/install on SVR4, which tries to use the nonexistent group
- ! # `staff'. On most BSDish systems install is in /usr/bin, not /usr/ucb
- ! # anyway. Sigh.
- if test "z${INSTALL}" = "z" ; then
- ! echo checking for install
- ! IFS="${IFS= }"; saveifs="$IFS"; IFS="${IFS}:"
- ! for dir in $PATH; do
- ! test -z "$dir" && dir=.
- ! case $dir in
- ! /etc|/usr/sbin|/usr/etc|/usr/afsws/bin|/usr/ucb) ;;
- *)
- ! if test -f $dir/installbsd; then
- ! INSTALL="$dir/installbsd -c" # OSF1
- ! INSTALL_PROGRAM='$(INSTALL)'
- ! INSTALL_DATA='$(INSTALL) -m 644'
- ! break
- ! fi
- ! if test -f $dir/install; then
- ! if grep dspmsg $dir/install >/dev/null 2>&1; then
- ! : # AIX
- ! else
- ! INSTALL="$dir/install -c"
- ! INSTALL_PROGRAM='$(INSTALL)'
- ! INSTALL_DATA='$(INSTALL) -m 644'
- ! break
- fi
- ! fi
- ;;
- esac
- done
- ! IFS="$saveifs"
- fi
- ! INSTALL=${INSTALL-cp}
- ! INSTALL_PROGRAM=${INSTALL_PROGRAM-'$(INSTALL)'}
- ! INSTALL_DATA=${INSTALL_DATA-'$(INSTALL)'}
- !
- ! echo checking for ANSI C header files
- ! cat > conftest.c <<EOF
- #include <stdlib.h>
- #include <stdarg.h>
- #include <string.h>
- #include <float.h>
- EOF
- ! err=`eval "($CPP \$DEFS conftest.c >/dev/null) 2>&1"`
- ! if test -z "$err"; then
- # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
- ! echo '#include <string.h>' > conftest.c
- ! eval "$CPP \$DEFS conftest.c > conftest.out 2>&1"
- if egrep "memchr" conftest.out >/dev/null 2>&1; then
- # SGI's /bin/cc from Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
- ! cat > conftest.c <<EOF
- #include <ctype.h>
- #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
- #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
- --- 385,512 ----
- fi
- fi
-
- ! test -n "$silent" || /bin/echo "checking how to run the C preprocessor"
- if test -z "$CPP"; then
- ! # This must be in double quotes, not single quotes, because CPP may get
- ! # substituted into the Makefile and ``${CC-cc}'' will simply confuse
- ! # make. It must be expanded now.
- ! CPP="${CC-cc} -E"
- ! cat > conftest.${ac_ext} <<EOF
- ! #include "confdefs.h"
- ! #include <stdio.h>
- ! Syntax Error
- ! EOF
- ! # Some shells (Coherent) do redirections in the wrong order, so need
- ! # the parens.
- ! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
- ! if test -z "$ac_err"; then
- ! :
- ! else
- ! rm -rf conftest*
- ! CPP="${CC-cc} -E -traditional-cpp"
- ! cat > conftest.${ac_ext} <<EOF
- ! #include "confdefs.h"
- #include <stdio.h>
- + Syntax Error
- EOF
- ! # Some shells (Coherent) do redirections in the wrong order, so need
- ! # the parens.
- ! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
- ! if test -z "$ac_err"; then
- :
- else
- + rm -rf conftest*
- CPP=/lib/cpp
- fi
- rm -f conftest*
- fi
- + rm -f conftest*
- + fi
- + test -n "$verbose" && /bin/echo " setting CPP to $CPP"
-
- # Make sure to not get the incompatible SysV /etc/install and
- # /usr/sbin/install, which might be in PATH before a BSD-like install,
- # or the SunOS /usr/etc/install directory, or the AIX /bin/install,
- # or the AFS install, which mishandles nonexistent args, or
- # /usr/ucb/install on SVR4, which tries to use the nonexistent group
- ! # `staff', or /sbin/install on IRIX which has incompatible command-line
- ! # syntax. Sigh.
- ! #
- ! # On most BSDish systems install is in /usr/bin, not /usr/ucb
- ! # anyway.
- ! # This turns out not to be true, so the mere pathname isn't an indication
- ! # of whether the program works. What we really need is a set of tests for
- ! # the install program to see if it actually works in all the required ways.
- ! #
- ! # Avoid using ./install, which might have been erroneously created
- ! # by make from ./install.sh.
- if test "z${INSTALL}" = "z" ; then
- ! test -n "$silent" || /bin/echo "checking for a BSD compatible install"
- ! IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
- ! for ac_dir in $PATH; do
- ! case "$ac_dir" in
- ! ''|.|/gnu/etc|/sbin|/usr/sbin|/usr/etc|/usr/afsws/bin|/usr/ucb) ;;
- *)
- ! # OSF1 and SCO ODT 3.0 have their own names for install.
- ! for ac_prog in installbsd scoinst install; do
- ! if test -f $ac_dir/$ac_prog; then
- ! if test $ac_prog = install &&
- ! grep dspmsg $ac_dir/$ac_prog >/dev/null 2>&1; then
- ! # AIX install. It has an incompatible calling convention.
- ! # OSF/1 installbsd also uses dspmsg, but is usable.
- ! :
- ! else
- ! INSTALL="$ac_dir/$ac_prog -c"
- ! INSTALL_PROGRAM='${INSTALL}'
- ! INSTALL_DATA='${INSTALL} -m 644'
- ! break 2
- ! fi
- fi
- ! done
- ;;
- esac
- done
- ! IFS="$ac_save_ifs"
- fi
- ! if test -z "$INSTALL"; then
- ! if test -f ${srcdir}/install.sh; then
- ! # As a last resort, use the slow shell script.
- ! INSTALL='@top_srcdir@/install.sh -c'
- ! else
- ! /bin/echo "configure: warning: ${srcdir}/install.sh not found; using cp" >&2
- ! INSTALL=cp
- ! fi
- ! fi
- ! test -n "$verbose" && /bin/echo " setting INSTALL to $INSTALL"
- ! # Use test -z because SunOS4 sh mishandles ${INSTALL_PROGRAM-'${INSTALL}'}.
- ! # It thinks the first close brace ends the variable substitution.
- ! test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
- ! test -n "$verbose" && /bin/echo " setting INSTALL_PROGRAM to $INSTALL_PROGRAM"
- ! test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL}'
- ! test -n "$verbose" && /bin/echo " setting INSTALL_DATA to $INSTALL_DATA"
- !
- ! test -n "$silent" || /bin/echo "checking for ANSI C header files"
- ! cat > conftest.${ac_ext} <<EOF
- ! #include "confdefs.h"
- #include <stdlib.h>
- #include <stdarg.h>
- #include <string.h>
- #include <float.h>
- EOF
- ! # Some shells (Coherent) do redirections in the wrong order, so need
- ! # the parens.
- ! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
- ! if test -z "$ac_err"; then
- ! rm -rf conftest*
- # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
- ! /bin/echo '#include "confdefs.h"
- ! #include <string.h>' > conftest.${ac_ext}
- ! eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
- if egrep "memchr" conftest.out >/dev/null 2>&1; then
- + rm -rf conftest*
- # SGI's /bin/cc from Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
- ! cat > conftest.${ac_ext} <<EOF
- ! #include "confdefs.h"
- #include <ctype.h>
- #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
- #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
- ***************
- *** 267,356 ****
- exit (0); }
-
- EOF
- ! eval $compile
- if test -s conftest && (./conftest; exit) 2>/dev/null; then
- ! {
- test -n "$verbose" && \
- ! echo ' defining' STDC_HEADERS
- DEFS="$DEFS -DSTDC_HEADERS=1"
- }
-
- fi
- rm -f conftest*
- fi
- rm -f conftest*
-
- fi
- rm -f conftest*
-
- ! for hdr in string.h sys/param.h
- do
- ! trhdr=HAVE_`echo $hdr | tr '[a-z]./' '[A-Z]__'`
- ! echo checking for ${hdr}
- ! cat > conftest.c <<EOF
- ! #include <${hdr}>
- ! EOF
- ! err=`eval "($CPP \$DEFS conftest.c >/dev/null) 2>&1"`
- ! if test -z "$err"; then
- ! {
- test -n "$verbose" && \
- ! echo ' defining' ${trhdr}
- ! DEFS="$DEFS -D${trhdr}=1"
- }
-
- fi
- rm -f conftest*
- done
-
- ! echo checking whether string.h declares mem functions
- ! echo '#include <string.h>' > conftest.c
- ! eval "$CPP \$DEFS conftest.c > conftest.out 2>&1"
- ! if egrep "memchr" conftest.out >/dev/null 2>&1; then
- ! :
- ! else
- ! echo checking for memory.h
- ! cat > conftest.c <<EOF
- ! #include <memory.h>
- ! EOF
- ! err=`eval "($CPP \$DEFS conftest.c >/dev/null) 2>&1"`
- ! if test -z "$err"; then
- ! {
- test -n "$verbose" && \
- ! echo ' defining' NEED_MEMORY_H
- ! DEFS="$DEFS -DNEED_MEMORY_H=1"
- }
-
- - fi
- - rm -f conftest*
-
- fi
- rm -f conftest*
-
- !
- ! echo checking for unistd.h
- ! cat > conftest.c <<EOF
- ! #include <unistd.h>
- ! EOF
- ! err=`eval "($CPP \$DEFS conftest.c >/dev/null) 2>&1"`
- ! if test -z "$err"; then
- ! {
- test -n "$verbose" && \
- ! echo ' defining' HAVE_UNISTD_H
- ! DEFS="$DEFS -DHAVE_UNISTD_H=1"
- }
-
- fi
- rm -f conftest*
-
- ! echo checking for size_t in sys/types.h
- ! echo '#include <sys/types.h>' > conftest.c
- ! eval "$CPP \$DEFS conftest.c > conftest.out 2>&1"
- if egrep "size_t" conftest.out >/dev/null 2>&1; then
- :
- else
- ! {
- test -n "$verbose" && \
- ! echo ' defining' size_t to be 'unsigned'
- DEFS="$DEFS -Dsize_t=unsigned"
- }
-
- --- 516,643 ----
- exit (0); }
-
- EOF
- ! eval $ac_compile
- if test -s conftest && (./conftest; exit) 2>/dev/null; then
- ! # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
- ! /bin/echo '#include "confdefs.h"
- ! #include <stdlib.h>' > conftest.${ac_ext}
- ! eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
- ! if egrep "free" conftest.out >/dev/null 2>&1; then
- ! rm -rf conftest*
- !
- ! {
- test -n "$verbose" && \
- ! /bin/echo " defining STDC_HEADERS"
- ! /bin/echo "#define" STDC_HEADERS "1" >> confdefs.h
- DEFS="$DEFS -DSTDC_HEADERS=1"
- }
-
- +
- fi
- rm -f conftest*
- +
- +
- + fi
- + rm -fr conftest*
- +
- fi
- rm -f conftest*
-
- +
- fi
- rm -f conftest*
-
- ! for ac_hdr in string.h sys/param.h
- do
- ! ac_tr_hdr=HAVE_`/bin/echo $ac_hdr | tr '[a-z]./' '[A-Z]__'`
- ! test -n "$silent" || /bin/echo "checking for ${ac_hdr}"
- ! cat > conftest.${ac_ext} <<EOF
- ! #include "confdefs.h"
- ! #include <${ac_hdr}>
- ! EOF
- ! # Some shells (Coherent) do redirections in the wrong order, so need
- ! # the parens.
- ! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
- ! if test -z "$ac_err"; then
- ! rm -rf conftest*
- !
- ! {
- test -n "$verbose" && \
- ! /bin/echo " defining ${ac_tr_hdr}"
- ! /bin/echo "#define" ${ac_tr_hdr} "1" >> confdefs.h
- ! DEFS="$DEFS -D${ac_tr_hdr}=1"
- }
-
- +
- fi
- rm -f conftest*
- done
-
- ! for ac_hdr in memory.h
- ! do
- ! ac_tr_hdr=HAVE_`/bin/echo $ac_hdr | tr '[a-z]./' '[A-Z]__'`
- ! test -n "$silent" || /bin/echo "checking for ${ac_hdr}"
- ! cat > conftest.${ac_ext} <<EOF
- ! #include "confdefs.h"
- ! #include <${ac_hdr}>
- ! EOF
- ! # Some shells (Coherent) do redirections in the wrong order, so need
- ! # the parens.
- ! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
- ! if test -z "$ac_err"; then
- ! rm -rf conftest*
- !
- ! {
- test -n "$verbose" && \
- ! /bin/echo " defining ${ac_tr_hdr}"
- ! /bin/echo "#define" ${ac_tr_hdr} "1" >> confdefs.h
- ! DEFS="$DEFS -D${ac_tr_hdr}=1"
- }
-
-
- fi
- rm -f conftest*
- + done
-
- ! for ac_hdr in unistd.h
- ! do
- ! ac_tr_hdr=HAVE_`/bin/echo $ac_hdr | tr '[a-z]./' '[A-Z]__'`
- ! test -n "$silent" || /bin/echo "checking for ${ac_hdr}"
- ! cat > conftest.${ac_ext} <<EOF
- ! #include "confdefs.h"
- ! #include <${ac_hdr}>
- ! EOF
- ! # Some shells (Coherent) do redirections in the wrong order, so need
- ! # the parens.
- ! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
- ! if test -z "$ac_err"; then
- ! rm -rf conftest*
- !
- ! {
- test -n "$verbose" && \
- ! /bin/echo " defining ${ac_tr_hdr}"
- ! /bin/echo "#define" ${ac_tr_hdr} "1" >> confdefs.h
- ! DEFS="$DEFS -D${ac_tr_hdr}=1"
- }
-
- +
- fi
- rm -f conftest*
- + done
-
- ! test -n "$silent" || /bin/echo "checking for size_t in sys/types.h"
- ! /bin/echo '#include "confdefs.h"
- ! #include <sys/types.h>' > conftest.${ac_ext}
- ! eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
- if egrep "size_t" conftest.out >/dev/null 2>&1; then
- :
- else
- ! rm -rf conftest*
- !
- ! {
- test -n "$verbose" && \
- ! /bin/echo " defining" size_t to be "unsigned"
- ! /bin/echo "#define" size_t "unsigned" >> confdefs.h
- DEFS="$DEFS -Dsize_t=unsigned"
- }
-
- ***************
- *** 359,381 ****
-
- # The Ultrix 4.2 mips builtin alloca declared by alloca.h only works
- # for constant arguments. Useless!
- ! echo checking for working alloca.h
- ! cat > conftest.c <<EOF
- #include <alloca.h>
- ! int main() { exit(0); }
- ! int t() { char *p = alloca(2 * sizeof(int)); }
- EOF
- ! if eval $compile; then
- ! {
- test -n "$verbose" && \
- ! echo ' defining' HAVE_ALLOCA_H
- DEFS="$DEFS -DHAVE_ALLOCA_H=1"
- }
-
- fi
- rm -f conftest*
-
- ! decl="#ifdef __GNUC__
- #define alloca __builtin_alloca
- #else
- #if HAVE_ALLOCA_H
- --- 646,673 ----
-
- # The Ultrix 4.2 mips builtin alloca declared by alloca.h only works
- # for constant arguments. Useless!
- ! test -n "$silent" || /bin/echo "checking for working alloca.h"
- ! cat > conftest.${ac_ext} <<EOF
- ! #include "confdefs.h"
- #include <alloca.h>
- ! int main() { return 0; }
- ! int t() { char *p = alloca(2 * sizeof(int));; return 0; }
- EOF
- ! if eval $ac_compile; then
- ! rm -rf conftest*
- !
- ! {
- test -n "$verbose" && \
- ! /bin/echo " defining HAVE_ALLOCA_H"
- ! /bin/echo "#define" HAVE_ALLOCA_H "1" >> confdefs.h
- DEFS="$DEFS -DHAVE_ALLOCA_H=1"
- }
-
- +
- fi
- rm -f conftest*
-
- ! ac_decl="#ifdef __GNUC__
- #define alloca __builtin_alloca
- #else
- #if HAVE_ALLOCA_H
- ***************
- *** 389,405 ****
- #endif
- #endif
- "
- ! echo checking for alloca
- ! cat > conftest.c <<EOF
- ! $decl
- ! int main() { exit(0); }
- ! int t() { char *p = (char *) alloca(1); }
- ! EOF
- ! if eval $compile; then
- ! :
- else
- ! alloca_missing=1
- ! cat > conftest.c <<EOF
-
- #if defined(CRAY) && ! defined(CRAY2)
- winnitude
- --- 681,709 ----
- #endif
- #endif
- "
- ! test -n "$silent" || /bin/echo "checking for alloca"
- ! cat > conftest.${ac_ext} <<EOF
- ! #include "confdefs.h"
- ! $ac_decl
- ! int main() { return 0; }
- ! int t() { char *p = (char *) alloca(1);; return 0; }
- ! EOF
- ! if eval $ac_compile; then
- ! rm -rf conftest*
- !
- ! {
- ! test -n "$verbose" && \
- ! /bin/echo " defining HAVE_ALLOCA"
- ! /bin/echo "#define" HAVE_ALLOCA "1" >> confdefs.h
- ! DEFS="$DEFS -DHAVE_ALLOCA=1"
- ! }
- !
- !
- else
- ! rm -rf conftest*
- ! ac_alloca_missing=1
- ! cat > conftest.${ac_ext} <<EOF
- ! #include "confdefs.h"
-
- #if defined(CRAY) && ! defined(CRAY2)
- winnitude
- ***************
- *** 408,419 ****
- #endif
-
- EOF
- ! eval "$CPP \$DEFS conftest.c > conftest.out 2>&1"
- if egrep "winnitude" conftest.out >/dev/null 2>&1; then
- ! echo checking for _getb67
- ! cat > conftest.c <<EOF
- #include <ctype.h>
- ! int main() { exit(0); }
- int t() {
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- --- 712,725 ----
- #endif
-
- EOF
- ! eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
- if egrep "winnitude" conftest.out >/dev/null 2>&1; then
- ! rm -rf conftest*
- ! test -n "$silent" || /bin/echo "checking for _getb67"
- ! cat > conftest.${ac_ext} <<EOF
- ! #include "confdefs.h"
- #include <ctype.h>
- ! int main() { return 0; }
- int t() {
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- ***************
- *** 424,443 ****
- /* Override any gcc2 internal prototype to avoid an error. */
- extern char _getb67(); _getb67();
- #endif
- ! }
- EOF
- ! if eval $compile; then
- {
- test -n "$verbose" && \
- ! echo ' defining' CRAY_STACKSEG_END to be '_getb67'
- DEFS="$DEFS -DCRAY_STACKSEG_END=_getb67"
- }
-
- else
- ! echo checking for GETB67
- ! cat > conftest.c <<EOF
- #include <ctype.h>
- ! int main() { exit(0); }
- int t() {
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- --- 730,754 ----
- /* Override any gcc2 internal prototype to avoid an error. */
- extern char _getb67(); _getb67();
- #endif
- ! ; return 0; }
- EOF
- ! if eval $ac_compile; then
- ! rm -rf conftest*
- {
- test -n "$verbose" && \
- ! /bin/echo " defining" CRAY_STACKSEG_END to be "_getb67"
- ! /bin/echo "#define" CRAY_STACKSEG_END "_getb67" >> confdefs.h
- DEFS="$DEFS -DCRAY_STACKSEG_END=_getb67"
- }
-
- +
- else
- ! rm -rf conftest*
- ! test -n "$silent" || /bin/echo "checking for GETB67"
- ! cat > conftest.${ac_ext} <<EOF
- ! #include "confdefs.h"
- #include <ctype.h>
- ! int main() { return 0; }
- int t() {
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- ***************
- *** 448,467 ****
- /* Override any gcc2 internal prototype to avoid an error. */
- extern char GETB67(); GETB67();
- #endif
- ! }
- EOF
- ! if eval $compile; then
- {
- test -n "$verbose" && \
- ! echo ' defining' CRAY_STACKSEG_END to be 'GETB67'
- DEFS="$DEFS -DCRAY_STACKSEG_END=GETB67"
- }
-
- else
- ! echo checking for getb67
- ! cat > conftest.c <<EOF
- #include <ctype.h>
- ! int main() { exit(0); }
- int t() {
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- --- 759,783 ----
- /* Override any gcc2 internal prototype to avoid an error. */
- extern char GETB67(); GETB67();
- #endif
- ! ; return 0; }
- EOF
- ! if eval $ac_compile; then
- ! rm -rf conftest*
- {
- test -n "$verbose" && \
- ! /bin/echo " defining" CRAY_STACKSEG_END to be "GETB67"
- ! /bin/echo "#define" CRAY_STACKSEG_END "GETB67" >> confdefs.h
- DEFS="$DEFS -DCRAY_STACKSEG_END=GETB67"
- }
-
- +
- else
- ! rm -rf conftest*
- ! test -n "$silent" || /bin/echo "checking for getb67"
- ! cat > conftest.${ac_ext} <<EOF
- ! #include "confdefs.h"
- #include <ctype.h>
- ! int main() { return 0; }
- int t() {
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- ***************
- *** 472,486 ****
- /* Override any gcc2 internal prototype to avoid an error. */
- extern char getb67(); getb67();
- #endif
- ! }
- EOF
- ! if eval $compile; then
- {
- test -n "$verbose" && \
- ! echo ' defining' CRAY_STACKSEG_END to be 'getb67'
- DEFS="$DEFS -DCRAY_STACKSEG_END=getb67"
- }
-
- fi
- rm -f conftest*
-
- --- 788,805 ----
- /* Override any gcc2 internal prototype to avoid an error. */
- extern char getb67(); getb67();
- #endif
- ! ; return 0; }
- EOF
- ! if eval $ac_compile; then
- ! rm -rf conftest*
- {
- test -n "$verbose" && \
- ! /bin/echo " defining" CRAY_STACKSEG_END to be "getb67"
- ! /bin/echo "#define" CRAY_STACKSEG_END "getb67" >> confdefs.h
- DEFS="$DEFS -DCRAY_STACKSEG_END=getb67"
- }
-
- +
- fi
- rm -f conftest*
-
- ***************
- *** 490,495 ****
- --- 809,815 ----
- fi
- rm -f conftest*
-
- +
- fi
- rm -f conftest*
-
- ***************
- *** 497,533 ****
- fi
- rm -f conftest*
-
- ! if test -n "$alloca_missing"; then
- # The SVR3 libPW and SVR4 libucb both contain incompatible functions
- # that cause trouble. Some versions do not even contain alloca or
- # contain a buggy version. If you still want to use their alloca,
- # use ar to extract alloca.o from them instead of compiling alloca.c.
- ALLOCA=alloca.o
-
- ! echo 'checking stack direction for C alloca'
- ! echo checking whether cross-compiling
- # If we cannot run a trivial program, we must be cross compiling.
- ! cat > conftest.c <<EOF
- main(){exit(0);}
- EOF
- ! eval $compile
- if test -s conftest && (./conftest; exit) 2>/dev/null; then
- :
- else
- cross_compiling=1
- fi
- ! rm -f conftest*
-
- if test -n "$cross_compiling"
- then
- ! {
- test -n "$verbose" && \
- ! echo ' defining' STACK_DIRECTION to be '0'
- DEFS="$DEFS -DSTACK_DIRECTION=0"
- }
-
- else
- ! cat > conftest.c <<EOF
- find_stack_direction ()
- {
- static char *addr = 0;
- --- 817,865 ----
- fi
- rm -f conftest*
-
- ! if test -n "$ac_alloca_missing"; then
- # The SVR3 libPW and SVR4 libucb both contain incompatible functions
- # that cause trouble. Some versions do not even contain alloca or
- # contain a buggy version. If you still want to use their alloca,
- # use ar to extract alloca.o from them instead of compiling alloca.c.
- ALLOCA=alloca.o
- +
- + {
- + test -n "$verbose" && \
- + /bin/echo " defining C_ALLOCA"
- + /bin/echo "#define" C_ALLOCA "1" >> confdefs.h
- + DEFS="$DEFS -DC_ALLOCA=1"
- + }
- +
-
- ! test -n "$silent" || /bin/echo "checking stack direction for C alloca"
- ! test -n "$silent" || /bin/echo "checking whether cross-compiling"
- # If we cannot run a trivial program, we must be cross compiling.
- ! cat > conftest.${ac_ext} <<EOF
- ! #include "confdefs.h"
- main(){exit(0);}
- EOF
- ! eval $ac_compile
- if test -s conftest && (./conftest; exit) 2>/dev/null; then
- :
- else
- cross_compiling=1
- fi
- ! rm -fr conftest*
-
- if test -n "$cross_compiling"
- then
- !
- ! {
- test -n "$verbose" && \
- ! /bin/echo " defining" STACK_DIRECTION to be "0"
- ! /bin/echo "#define" STACK_DIRECTION "0" >> confdefs.h
- DEFS="$DEFS -DSTACK_DIRECTION=0"
- }
-
- else
- ! cat > conftest.${ac_ext} <<EOF
- ! #include "confdefs.h"
- find_stack_direction ()
- {
- static char *addr = 0;
- ***************
- *** 545,602 ****
- exit (find_stack_direction() < 0);
- }
- EOF
- ! eval $compile
- if test -s conftest && (./conftest; exit) 2>/dev/null; then
- ! {
- test -n "$verbose" && \
- ! echo ' defining' STACK_DIRECTION to be '1'
- DEFS="$DEFS -DSTACK_DIRECTION=1"
- }
-
- else
- ! {
- test -n "$verbose" && \
- ! echo ' defining' STACK_DIRECTION to be '-1'
- DEFS="$DEFS -DSTACK_DIRECTION=-1"
- }
-
- fi
- fi
- ! rm -f conftest*
- fi
-
- ! for func in getpagesize memchr strerror valloc
- do
- ! trfunc=HAVE_`echo $func | tr '[a-z]' '[A-Z]'`
- ! echo checking for ${func}
- ! cat > conftest.c <<EOF
- #include <ctype.h>
- ! int main() { exit(0); }
- int t() {
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- something starting with __ and the normal name is an alias. */
- ! #if defined (__stub_${func}) || defined (__stub___${func})
- choke me
- #else
- /* Override any gcc2 internal prototype to avoid an error. */
- ! extern char ${func}(); ${func}();
- #endif
- ! }
- EOF
- ! if eval $compile; then
- {
- test -n "$verbose" && \
- ! echo ' defining' ${trfunc}
- ! DEFS="$DEFS -D${trfunc}=1"
- }
-
- fi
- rm -f conftest*
- done
-
- ! echo checking for unsigned characters
- ! cat > conftest.c <<EOF
- /* volatile prevents gcc2 from optimizing the test away on sparcs. */
- #if !__STDC__
- #define volatile
- --- 877,944 ----
- exit (find_stack_direction() < 0);
- }
- EOF
- ! eval $ac_compile
- if test -s conftest && (./conftest; exit) 2>/dev/null; then
- !
- ! {
- test -n "$verbose" && \
- ! /bin/echo " defining" STACK_DIRECTION to be "1"
- ! /bin/echo "#define" STACK_DIRECTION "1" >> confdefs.h
- DEFS="$DEFS -DSTACK_DIRECTION=1"
- }
-
- +
- else
- !
- ! {
- test -n "$verbose" && \
- ! /bin/echo " defining" STACK_DIRECTION to be "-1"
- ! /bin/echo "#define" STACK_DIRECTION "-1" >> confdefs.h
- DEFS="$DEFS -DSTACK_DIRECTION=-1"
- }
-
- fi
- fi
- ! rm -fr conftest*
- fi
-
- ! for ac_func in getpagesize memchr strerror valloc
- do
- ! ac_tr_func=HAVE_`/bin/echo $ac_func | tr '[a-z]' '[A-Z]'`
- ! test -n "$silent" || /bin/echo "checking for ${ac_func}"
- ! cat > conftest.${ac_ext} <<EOF
- ! #include "confdefs.h"
- #include <ctype.h>
- ! int main() { return 0; }
- int t() {
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- something starting with __ and the normal name is an alias. */
- ! #if defined (__stub_${ac_func}) || defined (__stub___${ac_func})
- choke me
- #else
- /* Override any gcc2 internal prototype to avoid an error. */
- ! extern char ${ac_func}(); ${ac_func}();
- #endif
- ! ; return 0; }
- EOF
- ! if eval $ac_compile; then
- ! rm -rf conftest*
- {
- test -n "$verbose" && \
- ! /bin/echo " defining ${ac_tr_func}"
- ! /bin/echo "#define" ${ac_tr_func} "1" >> confdefs.h
- ! DEFS="$DEFS -D${ac_tr_func}=1"
- }
-
- +
- fi
- rm -f conftest*
- done
-
- ! test -n "$silent" || /bin/echo "checking for unsigned characters"
- ! cat > conftest.${ac_ext} <<EOF
- ! #include "confdefs.h"
- /* volatile prevents gcc2 from optimizing the test away on sparcs. */
- #if !__STDC__
- #define volatile
- ***************
- *** 609,626 ****
- #endif
- }
- EOF
- ! eval $compile
- if test -s conftest && (./conftest; exit) 2>/dev/null; then
- ! {
- test -n "$verbose" && \
- ! echo ' defining' __CHAR_UNSIGNED__
- DEFS="$DEFS -D__CHAR_UNSIGNED__=1"
- }
-
- fi
- ! rm -f conftest*
-
- ! prog='/* Ultrix mips cc rejects this. */
- typedef int charset[2]; const charset x;
- /* SunOS 4.1.1 cc rejects this. */
- char const *const *ccp;
- --- 951,971 ----
- #endif
- }
- EOF
- ! eval $ac_compile
- if test -s conftest && (./conftest; exit) 2>/dev/null; then
- !
- ! {
- test -n "$verbose" && \
- ! /bin/echo " defining __CHAR_UNSIGNED__"
- ! /bin/echo "#define" __CHAR_UNSIGNED__ "1" >> confdefs.h
- DEFS="$DEFS -D__CHAR_UNSIGNED__=1"
- }
-
- +
- fi
- ! rm -fr conftest*
-
- ! ac_prog='/* Ultrix mips cc rejects this. */
- typedef int charset[2]; const charset x;
- /* SunOS 4.1.1 cc rejects this. */
- char const *const *ccp;
- ***************
- *** 629,635 ****
- It does not let you subtract one const X* pointer from another in an arm
- of an if-expression whose if-part is not a constant expression */
- const char *g = "string";
- ! p = &g + (g ? g-g : 0);
- /* HPUX 7.0 cc rejects these. */
- ++ccp;
- p = (char**) ccp;
- --- 974,980 ----
- It does not let you subtract one const X* pointer from another in an arm
- of an if-expression whose if-part is not a constant expression */
- const char *g = "string";
- ! ccp = &g + (g ? g-g : 0);
- /* HPUX 7.0 cc rejects these. */
- ++ccp;
- p = (char**) ccp;
- ***************
- *** 654,672 ****
- "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
- struct s { int j; const int *ap[3]; };
- struct s *b; b->j = 5;
- }'
- ! echo checking for working const
- ! cat > conftest.c <<EOF
-
- ! int main() { exit(0); }
- ! int t() { $prog }
- EOF
- ! if eval $compile; then
- :
- else
- ! {
- test -n "$verbose" && \
- ! echo ' defining' const to be 'empty'
- DEFS="$DEFS -Dconst="
- }
-
- --- 999,1024 ----
- "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
- struct s { int j; const int *ap[3]; };
- struct s *b; b->j = 5;
- + }
- + { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
- + const int foo = 10;
- }'
- ! test -n "$silent" || /bin/echo "checking for lack of working const"
- ! cat > conftest.${ac_ext} <<EOF
- ! #include "confdefs.h"
-
- ! int main() { return 0; }
- ! int t() { $ac_prog; return 0; }
- EOF
- ! if eval $ac_compile; then
- :
- else
- ! rm -rf conftest*
- !
- ! {
- test -n "$verbose" && \
- ! /bin/echo " defining" const to be empty
- ! /bin/echo "#define" const "" >> confdefs.h
- DEFS="$DEFS -Dconst="
- }
-
- ***************
- *** 674,680 ****
- rm -f conftest*
-
- echo checking for working mmap
- ! cat > conftest.c <<EOF
-
- #include <fcntl.h>
- #include <sys/types.h>
- --- 1026,1033 ----
- rm -f conftest*
-
- echo checking for working mmap
- ! cat > conftest.${ac_ext} <<EOF
- ! #include "confdefs.h"
-
- #include <fcntl.h>
- #include <sys/types.h>
- ***************
- *** 728,756 ****
- }
-
- EOF
- ! eval $compile
- if test -s conftest && (./conftest; exit) 2>/dev/null; then
- ! {
- test -n "$verbose" && \
- ! echo ' defining' HAVE_WORKING_MMAP
- DEFS="$DEFS -DHAVE_WORKING_MMAP=1"
- }
-
- fi
- ! rm -f conftest*
- if test -n "$prefix"; then
- ! test -z "$exec_prefix" && exec_prefix='${prefix}'
- ! prsub="s%^prefix\\([ ]*\\)=\\([ ]*\\).*$%prefix\\1=\\2$prefix%"
- fi
- if test -n "$exec_prefix"; then
- ! prsub="$prsub
- ! s%^exec_prefix\\([ ]*\\)=\\([ ]*\\).*$%\
- ! exec_prefix\\1=\\2$exec_prefix%"
- fi
- ! DEFS="`echo \"$DEFS\" | sed 's%[&\\\]%\\\&%g'`"
-
- ! trap 'rm -f config.status; exit 1' 1 3 15
- ! echo creating config.status
- rm -f config.status
- cat > config.status <<EOF
- #!/bin/sh
- --- 1081,1126 ----
- }
-
- EOF
- ! eval $ac_compile
- if test -s conftest && (./conftest; exit) 2>/dev/null; then
- !
- ! {
- test -n "$verbose" && \
- ! /bin/echo " defining HAVE_WORKING_MMAP"
- ! /bin/echo "#define" HAVE_WORKING_MMAP "1" >> confdefs.h
- DEFS="$DEFS -DHAVE_WORKING_MMAP=1"
- }
-
- +
- fi
- ! rm -fr conftest*
- ! # Set default prefixes.
- if test -n "$prefix"; then
- ! test -z "$exec_prefix" && exec_prefix='${prefix}' # Let make expand it.
- ! ac_prsub="s%^prefix\\([ ]*\\)=\\([ ]*\\).*$%prefix\\1=\\2$prefix%"
- fi
- if test -n "$exec_prefix"; then
- ! ac_prsub="$ac_prsub
- ! s%^exec_prefix\\([ ]*\\)=\\([ ]*\\).*$%exec_prefix\\1=\\2$exec_prefix%"
- fi
- ! # Any assignment to VPATH causes Sun make to only execute
- ! # the first set of double-colon rules, so remove it if not needed.
- ! # If there is a colon in the path, we need to keep it.
- ! if test "x$srcdir" = x.; then
- ! ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
- ! fi
- !
- ! # Quote sed substitution magic chars in DEFS.
- ! cat >conftest.def <<EOF
- ! $DEFS
- ! EOF
- ! ac_escape_ampersand_and_backslash='s%[&\\]%\\&%g'
- ! DEFS=`sed "$ac_escape_ampersand_and_backslash" <conftest.def`
- ! rm -f conftest.def
- ! # Substitute for predefined variables.
-
- ! trap 'rm -f config.status; exit 1' 1 2 15
- ! /bin/echo creating config.status
- rm -f config.status
- cat > config.status <<EOF
- #!/bin/sh
- ***************
- *** 759,776 ****
- # This directory was configured as follows,
- # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
- #
- ! # $0 $*
-
- ! for arg
- do
- ! case "\$arg" in
- ! -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
- ! exec /bin/sh $0 $* ;;
- ! *) echo "Usage: config.status --recheck" 2>&1; exit 1 ;;
- esac
- done
-
- ! trap 'rm -f Makefile; exit 1' 1 3 15
- AWK='$AWK'
- CC='$CC'
- CPP='$CPP'
- --- 1129,1153 ----
- # This directory was configured as follows,
- # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
- #
- ! # $0 $configure_args
-
- ! ac_cs_usage="Usage: config.status [--recheck] [--version] [--help]"
- ! for ac_option
- do
- ! case "\$ac_option" in
- ! -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
- ! /bin/echo running \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create
- ! exec \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create ;;
- ! -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
- ! /bin/echo "config.status generated by autoconf version 1.9"
- ! exit 0 ;;
- ! -help | --help | --hel | --he | --h)
- ! /bin/echo "\$ac_cs_usage"; exit 0 ;;
- ! *) /bin/echo "\$ac_cs_usage"; exit 1 ;;
- esac
- done
-
- ! trap 'rm -f Makefile; exit 1' 1 2 15
- AWK='$AWK'
- CC='$CC'
- CPP='$CPP'
- ***************
- *** 780,810 ****
- ALLOCA='$ALLOCA'
- LIBS='$LIBS'
- srcdir='$srcdir'
- ! DEFS='$DEFS'
- prefix='$prefix'
- exec_prefix='$exec_prefix'
- ! prsub='$prsub'
- EOF
- cat >> config.status <<\EOF
-
- ! top_srcdir=$srcdir
- !
- ! # Allow make-time overrides of the generated file list.
- ! test -n "$gen_files" || gen_files="Makefile"
-
- ! for file in .. $gen_files; do if [ "x$file" != "x.." ]; then
- ! srcdir=$top_srcdir
- # Remove last slash and all that follows it. Not all systems have dirname.
- ! dir=`echo $file|sed 's%/[^/][^/]*$%%'`
- ! if test "$dir" != "$file"; then
- ! test "$top_srcdir" != . && srcdir=$top_srcdir/$dir
- ! test ! -d $dir && mkdir $dir
- fi
- ! echo creating $file
- ! rm -f $file
- ! echo "# Generated automatically from `echo $file|sed 's|.*/||'`.in by configure." > $file
- sed -e "
- ! $prsub
- s%@AWK@%$AWK%g
- s%@CC@%$CC%g
- s%@CPP@%$CPP%g
- --- 1157,1207 ----
- ALLOCA='$ALLOCA'
- LIBS='$LIBS'
- srcdir='$srcdir'
- ! top_srcdir='$top_srcdir'
- prefix='$prefix'
- exec_prefix='$exec_prefix'
- ! DEFS='$DEFS'
- ! ac_prsub='$ac_prsub'
- ! ac_vpsub='$ac_vpsub'
- ! extrasub='$extrasub'
- EOF
- cat >> config.status <<\EOF
-
- ! ac_given_srcdir=$srcdir
-
- ! CONFIG_FILES=${CONFIG_FILES-"Makefile"}
- ! for ac_file in .. ${CONFIG_FILES}; do if test "x$ac_file" != x..; then
- # Remove last slash and all that follows it. Not all systems have dirname.
- ! ac_dir=`/bin/echo $ac_file|sed 's%/[^/][^/]*$%%'`
- ! if test "$ac_dir" != "$ac_file"; then
- ! # The file is in a subdirectory.
- ! test ! -d "$ac_dir" && mkdir "$ac_dir"
- ! ac_dir_suffix="/$ac_dir"
- ! else
- ! ac_dir_suffix=
- fi
- !
- ! # A "../" for each directory in $ac_dir_suffix.
- ! ac_dots=`/bin/echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
- ! case "$ac_given_srcdir" in
- ! .) srcdir=.; top_srcdir="$ac_dots." ;;
- ! /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
- ! *) # Relative path.
- ! srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
- ! top_srcdir="$ac_dots$ac_given_srcdir" ;;
- ! esac
- !
- ! /bin/echo creating "$ac_file"
- ! rm -f "$ac_file"
- ! comment_str="Generated automatically from `/bin/echo $ac_file|sed 's|.*/||'`.in by configure."
- ! case "$ac_file" in
- ! *.c | *.h | *.C | *.cc | *.m ) /bin/echo "/* $comment_str */" > "$ac_file" ;;
- ! * ) /bin/echo "# $comment_str" > "$ac_file" ;;
- ! esac
- sed -e "
- ! $ac_prsub
- ! $ac_vpsub
- ! $extrasub
- s%@AWK@%$AWK%g
- s%@CC@%$CC%g
- s%@CPP@%$CPP%g
- ***************
- *** 814,825 ****
- s%@ALLOCA@%$ALLOCA%g
- s%@LIBS@%$LIBS%g
- s%@srcdir@%$srcdir%g
- s%@DEFS@%$DEFS%
- ! " $top_srcdir/${file}.in >> $file
- fi; done
-
- exit 0
- EOF
- chmod +x config.status
- ! test -n "$no_create" || ./config.status
-
- --- 1211,1226 ----
- s%@ALLOCA@%$ALLOCA%g
- s%@LIBS@%$LIBS%g
- s%@srcdir@%$srcdir%g
- + s%@top_srcdir@%$top_srcdir%g
- + s%@prefix@%$prefix%g
- + s%@exec_prefix@%$exec_prefix%g
- s%@DEFS@%$DEFS%
- ! " $ac_given_srcdir/${ac_file}.in >> $ac_file
- fi; done
-
- +
- exit 0
- EOF
- chmod +x config.status
- ! test -n "$no_create" || ${CONFIG_SHELL-/bin/sh} config.status
-
- diff -rc --new-file grep-2.0/configure.in /gnu/src/amiga/grep-2.0/configure.in
- *** grep-2.0/configure.in Sat May 22 04:20:16 1993
- --- /gnu/src/amiga/grep-2.0/configure.in Mon Apr 25 16:58:51 1994
- ***************
- *** 7,14 ****
- AC_PROG_INSTALL
- AC_STDC_HEADERS
- AC_HAVE_HEADERS(string.h sys/param.h)
- ! AC_MEMORY_H
- ! AC_UNISTD_H
- AC_SIZE_T
- AC_ALLOCA
- AC_HAVE_FUNCS(getpagesize memchr strerror valloc)
- --- 7,14 ----
- AC_PROG_INSTALL
- AC_STDC_HEADERS
- AC_HAVE_HEADERS(string.h sys/param.h)
- ! AC_HAVE_HEADERS(memory.h)
- ! AC_HAVE_HEADERS(unistd.h)
- AC_SIZE_T
- AC_ALLOCA
- AC_HAVE_FUNCS(getpagesize memchr strerror valloc)
- diff -rc --new-file grep-2.0/dfa.h /gnu/src/amiga/grep-2.0/dfa.h
- *** grep-2.0/dfa.h Sun Apr 11 21:17:22 1993
- --- /gnu/src/amiga/grep-2.0/dfa.h Wed Feb 23 17:20:03 1994
- ***************
- *** 23,35 ****
- --- 23,39 ----
- name space. */
-
- /* Number of bits in an unsigned char. */
- + #ifndef CHARBITS
- #define CHARBITS 8
- + #endif
-
- /* First integer value that is greater than any character code. */
- #define NOTCHAR (1 << CHARBITS)
-
- /* INTBITS need not be exact, just a lower bound. */
- + #ifndef INTBITS
- #define INTBITS (CHARBITS * sizeof (int))
- + #endif
-
- /* Number of ints required to hold a bit for every character. */
- #define CHARCLASS_INTS ((NOTCHAR + INTBITS - 1) / INTBITS)
- diff -rc --new-file grep-2.0/grep.c /gnu/src/amiga/grep-2.0/grep.c
- *** grep-2.0/grep.c Sun May 23 05:52:52 1993
- --- /gnu/src/amiga/grep-2.0/grep.c Mon Apr 25 16:58:50 1994
- ***************
- *** 34,46 ****
-
- #if defined(STDC_HEADERS) || defined(HAVE_STRING_H)
- #include <string.h>
- ! #ifdef NEED_MEMORY_H
- #include <memory.h>
- #endif
- #else
- #include <strings.h>
- #ifdef __STDC__
- ! extern void *memchr();
- #else
- extern char *memchr();
- #endif
- --- 34,46 ----
-
- #if defined(STDC_HEADERS) || defined(HAVE_STRING_H)
- #include <string.h>
- ! #ifdef HAVE_MEMORY_H
- #include <memory.h>
- #endif
- #else
- #include <strings.h>
- #ifdef __STDC__
- ! extern void *memchr(void *, int, size_t);
- #else
- extern char *memchr();
- #endif
- diff -rc --new-file grep-2.0/kwset.c /gnu/src/amiga/grep-2.0/kwset.c
- *** grep-2.0/kwset.c Sun May 2 19:26:20 1993
- --- /gnu/src/amiga/grep-2.0/kwset.c Mon Apr 25 16:58:51 1994
- ***************
- *** 45,51 ****
-
- #ifdef HAVE_MEMCHR
- #include <string.h>
- ! #ifdef NEED_MEMORY_H
- #include <memory.h>
- #endif
- #else
- --- 45,51 ----
-
- #ifdef HAVE_MEMCHR
- #include <string.h>
- ! #ifdef HAVE_MEMORY_H
- #include <memory.h>
- #endif
- #else
- diff -rc --new-file grep-2.0/search.c /gnu/src/amiga/grep-2.0/search.c
- *** grep-2.0/search.c Sun May 2 21:02:00 1993
- --- /gnu/src/amiga/grep-2.0/search.c Mon Apr 25 16:58:51 1994
- ***************
- *** 30,36 ****
-
- #ifdef HAVE_MEMCHR
- #include <string.h>
- ! #ifdef NEED_MEMORY_H
- #include <memory.h>
- #endif
- #else
- --- 30,36 ----
-
- #ifdef HAVE_MEMCHR
- #include <string.h>
- ! #ifdef HAVE_MEMORY_H
- #include <memory.h>
- #endif
- #else
-